Installer - Bug #16949

foreman proxy module generates invalid dhcpd.conf for non local networks
10/14/2016 10:32 AM - Stephen Benjamin

Status: Resolved
Priority: Normal
Assignee:
Category: Foreman modules
Target version: 1.18.0
Difficulty: Fixed in Releases: 1.18.0
Triaged: No Found in Releases:
Bugzilla link: 1267766 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/422

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1267766
Description of problem:

Customer has a network setup as follows
<build_network> -- <dhcp_relay> -- <capsule>

The build network is in one subnet, and
the network infrastructure relays the dhcp
request to the capsule on another subnet.

The capsule has no interface in the subnet
used via the build network.

Capsule ip 10.140.13.67/24, interface eth0
Build network - 10.142.233.0/25

When you specify the ip ranges that are used

by the build network to capsule installer

it generates an invalid dhcp.conf file,

by defining the subnet based upon the interface
being given, and the pool range from the dhcp range
being provided

Version-Release number of selected component (if applicable):
Sat6.1.2

How reproducible:

100%

Steps to Reproduce:

1. Run capsule installer with the following options in addition to
those usually required to install a capsule

--dhcp "true"

--dhcp-interface "ethQ"

--dhcp-range "10.142.233.5 10.142.233.120"

--dhcp-gateway "10.142.233.126"

2.

3.

Actual results:

Generate dhcp.conf is contains the following invalid stanza
~~~

subnet 10.140.13.0 netmask 255.255.255.0 {
pool {
range 10.142.233.5 10.142.233.120;

}

option subnet-mask 255.255.255.0;
option routers 10.142.233.126;

As the pool range is outside of the subnet range
dhcpd throws an error

Expected results:

The pool range should be correctly defined within
the appropriate subnet stanza.

Additional info:

History

#1 - 10/14/2016 10:32 AM - Stephen Benjamin
- Project changed from Foreman to Installer

- Subject changed from foreman proxy module generates invalid dhcpd.conf for non local networks
to foreman proxy module generates invalid dhcpd.conf for non local networks

- Category set to Foreman modules

#2 - 06/05/2018 01:44 PM - Stephen Benjamin
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/422 added

#3 - 06/05/2018 01:45 PM - Stephen Benjamin

- Status changed from New to Resolved

#4 - 07/12/2018 01:09 PM - Ewoud Kohl van Wijngaarden
- Triaged set to No
- Fixed in Releases 1.18.0 added

#5 - 07/12/2018 01:55 PM - Ewoud Kohl van Wijngaarden

- Target version set to 1.18.0
